import java.util.Scanner;

public class BasePrint
{
  private static final String DIGIT_TABLE = "0123456789abcdef";
  private static final int    MAX_BASE    = DIGIT_TABLE.length();
  
  // print any n (n >= 0) in any base (2 - 16), recursively

  public static void main(String[] args)
  {
    Scanner scan = new Scanner(System.in);
    System.out.println("Prints any decimal integer in any base.");
    System.out.println("Enter integer value n (n >= 0):");
    int n = scan.nextInt();    
    System.out.println("Enter value for base (2 to 16):");
    int base = scan.nextInt();

    System.out.print("The number " + n + " in base " + base + " is: ");
    printInt(n, base);
    System.out.println();
  }
  
  private static void printInt(int n, int base)
  {
      if (n >= base)
        printInt(n / base, base);
      System.out.print( DIGIT_TABLE.charAt(n % base));
  }
}
